<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>AMC13: encode_8b10b_lut_base Entity  Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">AMC13
   </div>
   <div id="projectbrief">Firmwares for the different applications of the AMC13 uTCA board made at Boston University</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="classes.html"><span>Design&#160;Units</span></a></li>
      <li><a href="inherits.html"><span>Design&#160;Unit&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Design&#160;Unit&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Variables</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Entities</a> &#124;
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">encode_8b10b_lut_base Entity Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for encode_8b10b_lut_base:</div>
<div class="dyncontent">
<div class="center"><img src="classencode__8b10b__lut__base__inherit__graph.png" border="0" usemap="#encode__8b10b__lut__base_inherit__map" alt="Inheritance graph"/></div>
<map name="encode__8b10b__lut__base_inherit__map" id="encode__8b10b__lut__base_inherit__map">
<area shape="rect" id="node2" href="classTTS__if.html" title="Generate the 400Mbit TTS stream for the current TTS state." alt="" coords="63,80,125,107"/><area shape="rect" id="node3" href="classAMC13__T1.html" title="AMC13_T1" alt="" coords="49,155,140,181"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classencode__8b10b__lut__base-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="nested-classes"></a>
Entities</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classencode__8b10b__lut__base_1_1xilinx.html">xilinx</a> &#160;</td><td class="memItemRight" valign="bottom">architecture</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Use Clauses"></a>
Use Clauses</h2></td></tr>
 <tr class="memitem:ae014bb5a2674eb58b7928846e926fe2d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae014bb5a2674eb58b7928846e926fe2d"></a>
<a class="el" href="classencode__8b10b__lut__base.html#ae014bb5a2674eb58b7928846e926fe2d">encode_8b10b_pkg</a>&#160;</td><td class="memItemRight" valign="bottom">   <b>Package</b><em><a class="el" href="classencode__8b10b__pkg.html"> &lt;encode_8b10b_pkg&gt;</a></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Generics"></a>
Generics</h2></td></tr>
 <tr class="memitem:ad27ac0be5727992b59ee40a77f556042"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad27ac0be5727992b59ee40a77f556042"></a>
<a class="el" href="classencode__8b10b__lut__base.html#ad27ac0be5727992b59ee40a77f556042">C_HAS_DISP_IN</a> &#160;</td><td class="memItemRight" valign="bottom"><b><b><span class="comment">INTEGER</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span></b></b></td></tr>
<tr class="memitem:abddee600f4cb762f663b3d789649a70c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="abddee600f4cb762f663b3d789649a70c"></a>
<a class="el" href="classencode__8b10b__lut__base.html#abddee600f4cb762f663b3d789649a70c">C_HAS_FORCE_CODE</a> &#160;</td><td class="memItemRight" valign="bottom"><b><b><span class="comment">INTEGER</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span></b></b></td></tr>
<tr class="memitem:a5a545d41a620dee9cba434df3396b0c3"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5a545d41a620dee9cba434df3396b0c3"></a>
<a class="el" href="classencode__8b10b__lut__base.html#a5a545d41a620dee9cba434df3396b0c3">C_FORCE_CODE_VAL</a> &#160;</td><td class="memItemRight" valign="bottom"><b><b><span class="comment">STRING</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="keyword">&quot; 1010101010 &quot;</span><span class="vhdlchar"> </span></b></b></td></tr>
<tr class="memitem:a353acd697e535a5be33e6a096cce26a6"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a353acd697e535a5be33e6a096cce26a6"></a>
<a class="el" href="classencode__8b10b__lut__base.html#a353acd697e535a5be33e6a096cce26a6">C_FORCE_CODE_DISP</a> &#160;</td><td class="memItemRight" valign="bottom"><b><b><span class="comment">INTEGER</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span></b></b></td></tr>
<tr class="memitem:a096649f019b0334291a0305af95746f0"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a096649f019b0334291a0305af95746f0"></a>
<a class="el" href="classencode__8b10b__lut__base.html#a096649f019b0334291a0305af95746f0">C_HAS_ND</a> &#160;</td><td class="memItemRight" valign="bottom"><b><b><span class="comment">INTEGER</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span></b></b></td></tr>
<tr class="memitem:aaace4c5a8f49f14b5eec8e1837804a98"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aaace4c5a8f49f14b5eec8e1837804a98"></a>
<a class="el" href="classencode__8b10b__lut__base.html#aaace4c5a8f49f14b5eec8e1837804a98">C_HAS_KERR</a> &#160;</td><td class="memItemRight" valign="bottom"><b><b><span class="comment">INTEGER</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span></b></b></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Ports"></a>
Ports</h2></td></tr>
 <tr class="memitem:acf915f02d435a048c86d6401502861f2"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="acf915f02d435a048c86d6401502861f2"></a>
<a class="el" href="classencode__8b10b__lut__base.html#acf915f02d435a048c86d6401502861f2">DIN</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC_VECTOR</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">7</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">others</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">&gt;</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a56e6cff705693bb3f9342201416fa081"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a56e6cff705693bb3f9342201416fa081"></a>
<a class="el" href="classencode__8b10b__lut__base.html#a56e6cff705693bb3f9342201416fa081">KIN</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:abf1090152c04cf6cd9111f3c429b2e61"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="abf1090152c04cf6cd9111f3c429b2e61"></a>
<a class="el" href="classencode__8b10b__lut__base.html#abf1090152c04cf6cd9111f3c429b2e61">CLK</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a2f9a9df74c6cad6c608a757fb45ac482"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2f9a9df74c6cad6c608a757fb45ac482"></a>
<a class="el" href="classencode__8b10b__lut__base.html#a2f9a9df74c6cad6c608a757fb45ac482">DOUT</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC_VECTOR</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">9</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">str_to_slv</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">C_FORCE_CODE_VAL</span><span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aff708e55010f2950ab77e3b86f6dc6b6"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aff708e55010f2950ab77e3b86f6dc6b6"></a>
<a class="el" href="classencode__8b10b__lut__base.html#aff708e55010f2950ab77e3b86f6dc6b6">CE</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:af6ba0b53bd66270968420baf1095edd2"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af6ba0b53bd66270968420baf1095edd2"></a>
<a class="el" href="classencode__8b10b__lut__base.html#af6ba0b53bd66270968420baf1095edd2">FORCE_CODE</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a66577f8d1f5e869a3e10eacb0fc2586b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a66577f8d1f5e869a3e10eacb0fc2586b"></a>
<a class="el" href="classencode__8b10b__lut__base.html#a66577f8d1f5e869a3e10eacb0fc2586b">FORCE_DISP</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a63d08b812358745835c2ee36215d48b1"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a63d08b812358745835c2ee36215d48b1"></a>
<a class="el" href="classencode__8b10b__lut__base.html#a63d08b812358745835c2ee36215d48b1">DISP_IN</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ab5b24fd3bc7c62c3ec90d19fa2c5127d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab5b24fd3bc7c62c3ec90d19fa2c5127d"></a>
<a class="el" href="classencode__8b10b__lut__base.html#ab5b24fd3bc7c62c3ec90d19fa2c5127d">DISP_OUT</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">bint_2_sl</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">C_FORCE_CODE_DISP</span><span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ad476a4a1f86ef3127bda7e54d051d65c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad476a4a1f86ef3127bda7e54d051d65c"></a>
<a class="el" href="classencode__8b10b__lut__base.html#ad476a4a1f86ef3127bda7e54d051d65c">KERR</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a185b00f41ea31107fde95c11c1e0ec3a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a185b00f41ea31107fde95c11c1e0ec3a"></a>
<a class="el" href="classencode__8b10b__lut__base.html#a185b00f41ea31107fde95c11c1e0ec3a">ND</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span></b></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock">
<p>Definition at line <a class="el" href="encode__8b10b__lut__base_8vhd_source.html#l00068">68</a> of file <a class="el" href="encode__8b10b__lut__base_8vhd_source.html">encode_8b10b_lut_base.vhd</a>.</p>
</div><hr/>The documentation for this class was generated from the following file:<ul>
<li>/work/dan/AMC13/amc13-fw/src/common/TTS/<a class="el" href="encode__8b10b__lut__base_8vhd_source.html">encode_8b10b_lut_base.vhd</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed Sep 8 2021 11:22:43 for AMC13 by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.1
</small></address>
</body>
</html>
